package de.tudresden.inf.st.mquat.solving.clustering;

import de.tudresden.inf.st.mquat.jastadd.model.Resource;
import weka.core.DenseInstance;
import weka.core.Instance;

import java.util.HashMap;
import java.util.Map;

/***
 * An entity unifying WEKA instances and Jastadd resources
 */
public class HardwareComponent {

    private Resource resource;
    private Instance instance;
    //TODO: do it with Jastadd
    private Map<String, Double> value;
    private Map<String, Double> normalizedValue;

    HardwareComponent(Resource resource, int attributes_number) {
        this.resource = resource;
        this.instance = new DenseInstance(attributes_number);
        value = new HashMap<>();
        normalizedValue = new HashMap<>();
    }

  public Resource getResource() {
    return resource;
  }

  public void setResource(Resource resource) {
    this.resource = resource;
  }

  public Instance getInstance() {
    return instance;
  }

    public void setInstance(Instance instance) {
        this.instance = instance;
    }

    public Map<String, Double> getValue() {
        return value;
    }

    public void setValue(Map<String, Double> value) {
        this.value = value;
    }

    public Map<String, Double> getNormalizedValue() {
        return normalizedValue;
    }

    public void setNormalizedValue(Map<String, Double> normalizedValue) {
        this.normalizedValue = normalizedValue;
    }
}
